Bug 214652 - multimedia/sabbu: fails to build with libc++ 3.9
Summary: multimedia/sabbu: fails to build with libc++ 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dirk Meyer
URL: https://github.com/llvm-mirror/libcxx...
Keywords: easy, needs-patch
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-11-19 01:34 UTC by Jan Beich
Modified: 2016-11-30 11:32 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (dinoex)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-19 01:34:38 UTC
util.cpp:526:12: error: assigning to 'char *' from incompatible type 'const char *'
    msgval = strrchr (msgid, '|');
           ^ ~~~~~~~~~~~~~~~~~~~~
util.cpp:539:9: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
  char *msgval = strrchr(msgid, '|');
        ^        ~~~~~~~~~~~~~~~~~~~

http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/sabbu-0.3.0_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/sabbu-0.3.0_14.log
Comment 1 commit-hook freebsd_committer 2016-11-30 11:31:11 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov 30 11:30:21 UTC 2016
New revision: 427419
URL: https://svnweb.freebsd.org/changeset/ports/427419

Log:
  multimedia/sabbu: unbreak with libc++ 3.9

  util.cpp:526:12: error: assigning to 'char *' from incompatible type 'const char *'
      msgval = strrchr (msgid, '|');
             ^ ~~~~~~~~~~~~~~~~~~~~
  util.cpp:539:9: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
    char *msgval = strrchr(msgid, '|');
          ^        ~~~~~~~~~~~~~~~~~~~

  PR:		214652
  Approved by:	portmgr blanket

Changes:
  head/multimedia/sabbu/files/patch-Source_util.cpp